from django.http import Http404
from .models import Post, Reply
from django.shortcuts import render

# Create your views here.
def index(request):
    posts = Post.objects.order_by("-pub_date")
    context = {
        "posts": posts
    }
    return render(request, "forum/index.html", context)

    # display_output = "<u><b>FORUM POSTS</u></b>:<br>"

    # for post in Post.objects.all():
    #     display_output += f"<b>{post.post_title} by {post.author.first_name} {post.author.last_name}</b> dated {str(post.pub_date)}:\
    #                         <br>{post.post_body}"
    #     replies = Reply.objects.filter(post=post)
    #     for reply in replies:
    #         display_output += f"<br><b>Reply by {reply.author.first_name} {reply.author.last_name}</b> dated {reply.pub_date}:\
    #                         <br>{reply.reply_body}"
        
    #     display_output += "<br><br>"

    # return HttpResponse(display_output)

def details(request, post_id):
    try:
        post = Post.objects.get(pk=post_id)
        replies = Reply.objects.filter(post=post).order_by("-pub_date")
    except Post.DoesNotExist:
        raise Http404("Announcement does not exist!")
    context = {
        "post": post,
        "replies": replies
    }
    return render(request, "forum/detail.html", context)
        